## org.hibernate.service.jta.platform.internal
Interface SynchronizationRegistryAccess

All Superinterfaces:
  Serializable

    public interface SynchronizationRegistryAccess

extends Serializable

Provides access to a `TransactionSynchronizationRegistry` for use by `TransactionSynchronizationRegistry`-based `JtaSynchronizationStrategy` implementations.

Method Summary
`TransactionSynchronizationRegistry` `getSynchronizationRegistry()` Obtain the synchronization registry

Method Detail

### getSynchronizationRegistry

    TransactionSynchronizationRegistry getSynchronizationRegistry()

  Obtain the synchronization registry

  Returns:
    the synchronization registry

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.